Skip to main content
Nowledge MemNowledge Mem

Reindex Memories Bulk

POST
/memories/reindex

Reindex multiple memories or all memories needing reindex.

This endpoint can work for both single and bulk reindexing:

  • If memory_ids is provided: reindex those specific memories
  • If memory_ids is None/empty: reindex all memories with reindex_needed=True

Query Parameters

batch_size?Batch Size

Batch size for concurrent processing

Range1 <= value <= 10
Default3

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/memories/reindex" \  -H "Content-Type: application/json" \  -d '{}'
{  "details": [    {      "embedding_dimension": 0,      "error": "string",      "memory_id": "string",      "reason": "string",      "status": "string"    }  ],  "error": "string",  "failed": 0,  "processed": 0,  "success": true}